# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.29

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /home/suzj/Qt/Tools/CMake/bin/cmake

# The command to remove a file.
RM = /home/suzj/Qt/Tools/CMake/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/suzj/AuseftDDSPlugins

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/suzj/AuseftDDSPlugins/build

# Utility rule file for AuseftDDSPlugTest_qmltyperegistration.

# Include any custom commands dependencies for this target.
include CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/progress.make

CMakeFiles/AuseftDDSPlugTest_qmltyperegistration: auseftddsplugtest_qmltyperegistrations.cpp
CMakeFiles/AuseftDDSPlugTest_qmltyperegistration: AuseftDDSPlugTest/AuseftDDSPlugTest.qmltypes

auseftddsplugtest_qmltyperegistrations.cpp: qmltypes/AuseftDDSPlugTest_foreign_types.txt
auseftddsplugtest_qmltyperegistrations.cpp: meta_types/qt6auseftddsplugtest_debug_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/libexec/qmltyperegistrar
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6core_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6qml_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6network_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6quick_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6gui_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6qmlmeta_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6qmlmodels_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6qmlworkerscript_relwithdebinfo_metatypes.json
auseftddsplugtest_qmltyperegistrations.cpp: /home/suzj/Qt/6.8.1/gcc_64/metatypes/qt6opengl_relwithdebinfo_metatypes.json
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/suzj/AuseftDDSPlugins/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic QML type registration for target AuseftDDSPlugTest"
	/home/suzj/Qt/6.8.1/gcc_64/libexec/qmltyperegistrar --generate-qmltypes=/home/suzj/AuseftDDSPlugins/build/AuseftDDSPlugTest/AuseftDDSPlugTest.qmltypes --import-name=AuseftDDSPlugTest --major-version=1 --minor-version=0 @/home/suzj/AuseftDDSPlugins/build/qmltypes/AuseftDDSPlugTest_foreign_types.txt -o /home/suzj/AuseftDDSPlugins/build/auseftddsplugtest_qmltyperegistrations.cpp /home/suzj/AuseftDDSPlugins/build/meta_types/qt6auseftddsplugtest_debug_metatypes.json
	/home/suzj/Qt/Tools/CMake/bin/cmake -E make_directory /home/suzj/AuseftDDSPlugins/build/.qt/qmltypes
	/home/suzj/Qt/Tools/CMake/bin/cmake -E touch /home/suzj/AuseftDDSPlugins/build/.qt/qmltypes/AuseftDDSPlugTest.qmltypes

AuseftDDSPlugTest/AuseftDDSPlugTest.qmltypes: auseftddsplugtest_qmltyperegistrations.cpp
	@$(CMAKE_COMMAND) -E touch_nocreate AuseftDDSPlugTest/AuseftDDSPlugTest.qmltypes

meta_types/qt6auseftddsplugtest_debug_metatypes.json: meta_types/qt6auseftddsplugtest_debug_metatypes.json.gen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/suzj/AuseftDDSPlugins/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Generating meta_types/qt6auseftddsplugtest_debug_metatypes.json"
	/home/suzj/Qt/Tools/CMake/bin/cmake -E true

meta_types/qt6auseftddsplugtest_debug_metatypes.json.gen: /home/suzj/Qt/6.8.1/gcc_64/libexec/moc
meta_types/qt6auseftddsplugtest_debug_metatypes.json.gen: meta_types/AuseftDDSPlugTest_json_file_list.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/suzj/AuseftDDSPlugins/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Running moc --collect-json for target AuseftDDSPlugTest"
	/home/suzj/Qt/6.8.1/gcc_64/libexec/moc -o /home/suzj/AuseftDDSPlugins/build/meta_types/qt6auseftddsplugtest_debug_metatypes.json.gen --collect-json @/home/suzj/AuseftDDSPlugins/build/meta_types/AuseftDDSPlugTest_json_file_list.txt
	/home/suzj/Qt/Tools/CMake/bin/cmake -E copy_if_different /home/suzj/AuseftDDSPlugins/build/meta_types/qt6auseftddsplugtest_debug_metatypes.json.gen /home/suzj/AuseftDDSPlugins/build/meta_types/qt6auseftddsplugtest_debug_metatypes.json

meta_types/AuseftDDSPlugTest_json_file_list.txt: /home/suzj/Qt/6.8.1/gcc_64/libexec/cmake_automoc_parser
meta_types/AuseftDDSPlugTest_json_file_list.txt: AuseftDDSPlugTest_autogen/timestamp
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/suzj/AuseftDDSPlugins/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Running AUTOMOC file extraction for target AuseftDDSPlugTest"
	/home/suzj/Qt/6.8.1/gcc_64/libexec/cmake_automoc_parser --cmake-autogen-cache-file /home/suzj/AuseftDDSPlugins/build/CMakeFiles/AuseftDDSPlugTest_autogen.dir/ParseCache.txt --cmake-autogen-info-file /home/suzj/AuseftDDSPlugins/build/CMakeFiles/AuseftDDSPlugTest_autogen.dir/AutogenInfo.json --output-file-path /home/suzj/AuseftDDSPlugins/build/meta_types/AuseftDDSPlugTest_json_file_list.txt --timestamp-file-path /home/suzj/AuseftDDSPlugins/build/meta_types/AuseftDDSPlugTest_json_file_list.txt.timestamp --cmake-autogen-include-dir-path /home/suzj/AuseftDDSPlugins/build/AuseftDDSPlugTest_autogen/include

AuseftDDSPlugTest_autogen/timestamp: /home/suzj/Qt/6.8.1/gcc_64/libexec/moc
AuseftDDSPlugTest_autogen/timestamp: CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/suzj/AuseftDDSPlugins/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Automatic MOC and UIC for target AuseftDDSPlugTest"
	/home/suzj/Qt/Tools/CMake/bin/cmake -E cmake_autogen /home/suzj/AuseftDDSPlugins/build/CMakeFiles/AuseftDDSPlugTest_autogen.dir/AutogenInfo.json Debug
	/home/suzj/Qt/Tools/CMake/bin/cmake -E touch /home/suzj/AuseftDDSPlugins/build/AuseftDDSPlugTest_autogen/timestamp

AuseftDDSPlugTest_qmltyperegistration: AuseftDDSPlugTest/AuseftDDSPlugTest.qmltypes
AuseftDDSPlugTest_qmltyperegistration: AuseftDDSPlugTest_autogen/timestamp
AuseftDDSPlugTest_qmltyperegistration: CMakeFiles/AuseftDDSPlugTest_qmltyperegistration
AuseftDDSPlugTest_qmltyperegistration: auseftddsplugtest_qmltyperegistrations.cpp
AuseftDDSPlugTest_qmltyperegistration: meta_types/AuseftDDSPlugTest_json_file_list.txt
AuseftDDSPlugTest_qmltyperegistration: meta_types/qt6auseftddsplugtest_debug_metatypes.json
AuseftDDSPlugTest_qmltyperegistration: meta_types/qt6auseftddsplugtest_debug_metatypes.json.gen
AuseftDDSPlugTest_qmltyperegistration: CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/build.make
.PHONY : AuseftDDSPlugTest_qmltyperegistration

# Rule to build all files generated by this target.
CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/build: AuseftDDSPlugTest_qmltyperegistration
.PHONY : CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/build

CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/cmake_clean.cmake
.PHONY : CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/clean

CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/depend:
	cd /home/suzj/AuseftDDSPlugins/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/suzj/AuseftDDSPlugins /home/suzj/AuseftDDSPlugins /home/suzj/AuseftDDSPlugins/build /home/suzj/AuseftDDSPlugins/build /home/suzj/AuseftDDSPlugins/build/CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/depend

